## org.gnu.pango
Class GlyphString

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.Boxed
              org.gnu.pango.GlyphString

public class GlyphString
extends Boxed

Used to store strings of glyphs with geometry and visible attribute information.

Constructor Summary
`GlyphString()` Construct a new GlyphString.
`GlyphString(GlyphString glyphString)` Construct a new GlyphString that is a copy of the provided GlyphString.

Method Summary
`void` `setSize(int newLength)` Resizes the GlyphString to the given length.

Methods inherited from class org.gnu.glib.Boxed
`equals, getBoxedFromHandle, hashCode`

Methods inherited from class org.gnu.glib.Struct
`getHandle, getNullHandle`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlyphString

    public GlyphString()

  Construct a new GlyphString.

### GlyphString

    public GlyphString(GlyphString glyphString)

  Construct a new GlyphString that is a copy of the provided GlyphString.

Parameters:
  `glyphString` -

Method Detail

### setSize

    public void setSize(int newLength)

  Resizes the GlyphString to the given length.

  Parameters:
    `newLength` -